<center><h1>Gestion des captures pour <?php $repertoire = basename( dirname(__FILE__)); echo $repertoire; ?></h1><br/><p>Les images affich&eacute;es ci-dessous sont des miniatures. Copiez l'adresse du lien et non de l'image !</p></center>


<?php


	
/* MINIATURES */


function imagethumb( $image_src , $image_dest = NULL , $max_size = 100, $expand = FALSE, $square = FALSE )
{
	if( !file_exists($image_src) ) return FALSE;

	// Récupère les infos de l'image
	$fileinfo = getimagesize($image_src);
	if( !$fileinfo ) return FALSE;

	$width     = $fileinfo[0];
	$height    = $fileinfo[1];
	$type_mime = $fileinfo['mime'];
	$type      = str_replace('image/', '', $type_mime);

	if( !$expand && max($width, $height)<=$max_size && (!$square || ($square && $width==$height) ) )
	{
		// L'image est plus petite que max_size
		if($image_dest)
		{
			return copy($image_src, $image_dest);
		}
		else
		{
			header('Content-Type: '. $type_mime);
			return (boolean) readfile($image_src);
		}
	}

	// Calcule les nouvelles dimensions
	$ratio = $width / $height;

	if( $square )
	{
		$new_width = $new_height = $max_size;

		if( $ratio > 1 )
		{
			// Paysage
			$src_y = 0;
			$src_x = round( ($width - $height) / 2 );

			$src_w = $src_h = $height;
		}
		else
		{
			// Portrait
			$src_x = 0;
			$src_y = round( ($height - $width) / 2 );

			$src_w = $src_h = $width;
		}
	}
	else
	{
		$src_x = $src_y = 0;
		$src_w = $width;
		$src_h = $height;

		if ( $ratio > 1 )
		{
			// Paysage
			$new_width  = $max_size;
			$new_height = round( $max_size / $ratio );
		}
		else
		{
			// Portrait
			$new_height = $max_size;
			$new_width  = round( $max_size * $ratio );
		}
	}

	// Ouvre l'image originale
	$func = 'imagecreatefrom' . $type;
	if( !function_exists($func) ) return FALSE;

	$image_src = $func($image_src);
	$new_image = imagecreatetruecolor($new_width,$new_height);

	// Gestion de la transparence pour les png
	if( $type=='png' )
	{
		imagealphablending($new_image,false);
		if( function_exists('imagesavealpha') )
			imagesavealpha($new_image,true);
	}

	// Gestion de la transparence pour les gif
	elseif( $type=='gif' && imagecolortransparent($image_src)>=0 )
	{
		$transparent_index = imagecolortransparent($image_src);
		$transparent_color = imagecolorsforindex($image_src, $transparent_index);
		$transparent_index = imagecolorallocate($new_image, $transparent_color['red'], $transparent_color['green'], $transparent_color['blue']);
		imagefill($new_image, 0, 0, $transparent_index);
		imagecolortransparent($new_image, $transparent_index);
	}

	// Redimensionnement de l'image
	imagecopyresampled(
		$new_image, $image_src,
		0, 0, $src_x, $src_y,
		$new_width, $new_height, $src_w, $src_h
	);

	// Enregistrement de l'image
	$func = 'image'. $type;
	if($image_dest)
	{
		$func($new_image, $image_dest);
	}
	else
	{
		header('Content-Type: '. $type_mime);
		$func($new_image);
	}

	// Libération de la mémoire
	imagedestroy($new_image); 

	return TRUE;
}
	






 if ($_GET['action'] == "delete") delete();
elseif ($_GET['action'] == "deletedossier") deletedir();

$dir    = __DIR__;
$files1 = scandir($dir);
?>

<table width="90%" align="center" border="0">

<?php 
$repertoiremini = './miniatures';

if (file_exists($repertoiremini)) {
		
		$image = glob("*.{jpg,png,gif,bmp,BMP,JPG,PNG,GIF}", GLOB_BRACE);
		foreach($image as $miniature){
		$image_src  = $miniature;
		$image_dest = './miniatures/mini'.$miniature.'';
		imagethumb($image_src, $image_dest, 250); // Créé une miniature de "image.png" de maximum 250 pixels et l'enregistre dans le fichier "thumb.png"
		}
}
 else {
 
		mkdir("./miniatures", 0777);
		$image = glob("*.{jpg,png,gif,JPG,PNG,GIF}", GLOB_BRACE);
		foreach($image as $miniature){
		$image_src  = $miniature;
		$image_dest = './miniatures/mini'.$miniature.'';
		imagethumb($image_src, $image_dest, 250); // Créé une miniature de "image.png" de maximum 250 pixels et l'enregistre dans le fichier "thumb.png"
		}
}
		
		


		$files = glob("*.{jpg,png,gif,bmp,BMP,JPG,PNG,GIF}", GLOB_BRACE);
$compteur =1;
foreach ($files as $valeur) {



if ($valeur !='index.php' && $valeur !='.' && $valeur !='..'){
$isdossier = is_dir($valeur);

if ($isdossier == false){




if ($compteur%5 == 0){

echo '<td border="0"><center><a href="'.$valeur.'"><img src="./miniatures/mini'.$valeur.'" alt""></a></center> <center><a href="?action=delete&delete='.$valeur.'">Supprimer(X)</a></center></td></tr><tr>';
$compteur =$compteur+1;
}

else{

echo '<td><center><a href="'.$valeur.'"><img src="./miniatures/mini'.$valeur.'" alt""></a> <br/></center><center><a href="?action=delete&delete='.$valeur.'">Supprimer(X)</a></center></td>';
$compteur =$compteur+1;
}

}




}



}
?>
</table>







<?php

function delete(){
	
     unlink(''.$_GET['delete'].'');
     unlink('./miniatures/mini'.$_GET['delete'].'');

}


function deletedir(){
	
     rmdir(''.$_GET['delete'].'');

}


?>